# Uses of Interface
org.eclipse.emf.cdo.expressions.IntValue

Packages that use IntValue
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of IntValue in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return IntValue
Modifier and Type
Method
Description
`IntValue`
ExpressionsFactory.`createIntValue()`
Returns a new object of class 'Int Value'.

## Uses of IntValue in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement IntValue
Modifier and Type
Class
Description
`class`
`IntValueImpl`
An implementation of the model object 'Int Value'.
Methods in org.eclipse.emf.cdo.expressions.impl that return IntValue
Modifier and Type
Method
Description
`IntValue`
ExpressionsFactoryImpl.`createIntValue()`

## Uses of IntValue in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util that return IntValue
Modifier and Type
Method
Description
`static IntValue`
ExpressionsUtil.`value(int literal)`
Methods in org.eclipse.emf.cdo.expressions.util with parameters of type IntValue
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseIntValue(IntValue object)`
Returns the result of interpreting the object as an instance of 'Int Value'.